org.jfree.report.structure

## Class Node

- java.lang.Object
- - org.jfree.report.structure.Node

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    Element, StaticText

      public abstract class Node
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A node is the most basic unit in a report. It acts as general superclass for all other elements.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Node()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Expression` | `getDisplayCondition()`
    `Group` | `getGroup()`
    `java.util.Locale` | `getLocale()`
    `Node` | `getParent()`
    `ReportDefinition` | `getReport()`
    `JFreeReport` | `getRootReport()`
    `boolean` | `isEnabled()`
    `protected void` | `setParent(Node parent)`
    `void` | `updateParent(Node parent)` This is an extra method to allow me to track all *illegal* write-accesses to the parent.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Node

          protected Node()

  - ### Method Detail

    - #### getParent

          public Node getParent()

    - #### setParent

          protected void setParent(Node parent)

    - #### updateParent

          public void updateParent(Node parent)

      This is an extra method to allow me to track all *illegal* write-accesses to the parent.
      Parameters:
        `parent` -

    - #### getGroup

          public Group getGroup()

    - #### getReport

          public ReportDefinition getReport()

    - #### getRootReport

          public JFreeReport getRootReport()

    - #### getLocale

          public java.util.Locale getLocale()

    - #### getDisplayCondition

          public Expression getDisplayCondition()

    - #### isEnabled

          public boolean isEnabled()

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`